# Interface WindowContext<D>

interface WindowContext<D> {
data?: D;
id: string;
overlayRef: OverlayRef;
windowRef: WindowRef<D>;
}

#### Type Parameters

- D

- Defined in packages/angular/window-system/src/lib/window-context.ts:8

#####
Index

### Properties

data?
id
overlayRef
windowRef

##
Properties

### `Optional` data

data?: D

- Defined in packages/angular/window-system/src/lib/window-context.ts:11

### id

id: string

- Defined in packages/angular/window-system/src/lib/window-context.ts:12

### overlayRef

overlayRef: OverlayRef

- Defined in packages/angular/window-system/src/lib/window-context.ts:9

### windowRef

windowRef: WindowRef<D>

- Defined in packages/angular/window-system/src/lib/window-context.ts:10